#include <p18f4550.h>

#include "GLCD_KS0108B.c"
#include "delay.c"

#pragma config FOSC = HS 	
#pragma config WDT = OFF 	
#pragma config LVP = OFF 	
#pragma config PBADEN = OFF 

//OSC = HS  	Impostato per lavorare ad alta frequenza 
//WDT = OFF		Disabilito il watchdog timer
//LVP = OFF 	Disabilito programmazione LVP
//PBADEN = OFF Disabilito gli ingressi analogici


void main (void){

	int i = 0;

	// Imposto PORTA 
	LATA = 0x00; 
 	TRISA = 0x07;
	// Set Analog Input as I/O
	ADCON1 = 0x0F;

	// Imposto PORTB 
 	LATB = 0x00; 
 	TRISB = 0xFF;

	// Imposto PORTC 
 	LATC = 0x00;    	 
 	TRISC = 0xFD;
 	
	// Imposto PORTD tutte uscite
 	LATD = 0x00;  
 	TRISD = 0x00;

	// Imposto PORTE RE0, RE1, RE2 Output
 	LATE = 0x00;
 	TRISE = 0xF8;
	
	initialize_GLCD ();
	
	backlight_GLCD (TURN_ON_LED);

	while (1) {

		draw_picture_GLCD (logo_1);
		draw_window_GLCD ( 0, 0, 127, 63, FILLING_BLACK);
		draw_window_GLCD ( 2, 2, 123, 59, FILLING_BLACK);
	
		delay_ms (2000);
		clear_GLCD (FILLING_WHITE);
	
		write_message_GLCD (25,28,"Loading...   %");
	
		for (i = 0; i < 100 ; i+= 5) {
		  write_integer_GLCD (90,28, i, 2);
		  delay_ms (100);	
		}
	
		clear_GLCD (FILLING_WHITE);
		write_message_GLCD (47,28,"BOOM...");
		delay_ms (300);
		backlight_GLCD (TURN_OFF_LED);
		delay_ms (300);
		backlight_GLCD (TURN_ON_LED);
		delay_ms (2000);
	}
}
